html, body, #container { height: 100%; }

body, p, ul, li, dl, dt, dd, input, select {
    padding: 0;
    margin: 0;
}

li { list-style: none; }

body {
    background-color: #1a1a1a;
    font: 11px Arial, Helvetica, sans-serif;
    overflow: hidden;
}

canvas {
    position: absolute;
    z-index: 0;
}

#container {
    position: relative;
    overflow: hidden;
}

#settings-window {
    display: none;
    color: rgba(255, 255, 255, .85);
    position: absolute;
    width: 252px;
    height: 250px;
    background-color: rgba(0, 0, 0, 0.35);
    border-radius: 10px;
    border: 4px solid rgba(255, 255, 255, .85);
}

#ui {
    overflow: hidden;
    position: absolute;
    left: 50%;
    bottom: -110px;
    z-index: 2;
    color: rgba(255, 255, 255, .85);
    background-color: rgba(0, 0, 0, 0.35);
    width: 500px;
    margin-left: -252px;
    height: 100px;
    text-align: center;
    padding-top: 25px;
    border-radius: 10px;
    border: 4px solid rgba(255, 255, 255, .85);
    -webkit-user-select: none;
       -moz-user-select: none;
        -ms-user-select: none;
         -o-user-select: none;
            user-select: none;
    -webkit-transition: bottom .3s ease-out;
       -moz-transition: bottom .3s ease-out;
        -ms-transition: bottom .3s ease-out;
         -o-transition: bottom .3s ease-out;
            transition: bottom .3s ease-out;
}

#ui.show { bottom: -30px; }

#ui-inner {
    display: inline-block;
    text-align: left;
}

#info {
    position: absolute;
    left: 10px;
    top: 10px;
    color: #fff;
    opacity: 1;
    -webkit-user-select: none;
       -moz-user-select: none;
        -ms-user-select: none;
         -o-user-select: none;
            user-select: none;
    -webkit-transition: opacity .3s linear;
       -moz-transition: opacity .3s linear;
        -ms-transition: opacity .3s linear;
         -o-transition: opacity .3s linear;
            transition: opacity .3s linear;
}

#info.hide { opacity: 0; }

p {
    height: 20px;
    font-weight: bold;
}

#play, #tracks, #del {
    margin-left: 5px;
    display: inline-block;
    vertical-align: top;
}

#play { padding-top: 20px; }
#play a { width: 75px; }

#tracks li { display: inline-block; }
#tracks li a { width : 21px; }

#handle {
    position: absolute;
    top: 0;
    width: 100%;
    padding-top: 2px;
    text-align: center;
}

#handle a {
    display: block;
}

.button {
    position: relative;
    display: inline-block;
    height: 29px;
    margin-right: 5px;
    font-size: 11px;
    line-height: 29px;
    text-align: center;
    text-decoration: none;
    margin-right: 5px;
    border-radius: 3px;
    color: rgba(255, 255, 255, .85);
    font-weight: bold;
    border-radius: 3px;
    box-shadow: 0 0 0 2px rgba(255, 255, 255, .85) inset;  /* border */
}

.button:active,
.button.active {
    color: rgba(0, 0, 0, .85);
    background-color: rgba(255, 255, 255, 1);
    box-shadow: 
        0 0 0 2px rgba(255, 255, 255, .85) inset,  /* border */
        0 0 10px 0 rgba(255, 255, 255, .75);
}

.button:hover:not(.active) {
    background-color: rgba(255, 255, 255, .2);
    box-shadow: 
        0 0 0 2px rgba(255, 255, 255, .85) inset,  /* border */
        0 0 8px 0 rgba(255, 255, 255, .5);
}

#tracks .button:before {
    content: '';
    display: block;
    margin-left: -1px;
    width: 19px;
    height: 3px;
    border-radius: 5px;
    position: absolute;
    bottom: -11px;
    left: 2px;
    background-color: rgba(255, 255, 255, .85);
}

#tracks .button.empty:before {
    background-color: rgba(255, 255, 255, .15);
}

#del .button {
    width: 75px;
    height: 18px;
    font-size: 10px;
    line-height: 18px;
    margin-bottom: 5px;
}

#settings-window {
    display: none;
    color: rgba(255, 255, 255, .85);
    font-size: 11px;
    background-color: rgba(0, 0, 0, 0.35);
    width: 252px;
    height: 275px;
    position: absolute;
    border-radius: 10px;
    border: 4px solid rgba(255, 255, 255, .85);
}

#tab {
    white-space: nowrap;
    overflow: hidden;
}

#tab li {
    width: 125px;
    display: inline-block;
    border-left: 2px solid rgba(255, 255, 255, .85);
    border-right: 2px solid rgba(255, 255, 255, .85);
    border-bottom: 2px solid rgba(255, 255, 255, .85);
    margin-left: -2px;
}

#tab li a {
    display: block;
    text-align: center;
    font-weight: bold;
    text-decoration: none;
    height: 21px;
    line-height: 21px;
    color: rgba(255, 255, 255, .85);
}

#tab li.active { border-bottom: none; }
#tab li.disabled a { color: rgba(255, 255, 255, .25); }

span.ex {
    color: rgba(195, 195, 195, .85);;
    font-size: 10px;
}

.settings {
    padding: 15px 0 7px 15px;
    display: none;
}

.settings.active { display: block; }

.settings dl {
    display: table;
    margin: 5px 0;
}
#drum-settings dl.type { margin-bottom: 20px; }

.settings dt, .settings dd {
    display: table-cell;
    line-height: 15px;
    margin: 0;
    padding: 0;
    display: inline-block;
    vertical-align: middle;
}

.settings dt {
    width: 75px;
    font-weight: bold;
}

#pattern dt {
    vertical-align: top;
}

.settings dd {
    width: 155px;
}

.settings .pattern span {
    margin-right: 10px;
}

.settings select,
.settings input[type=text],
.settings input[type=number] {
    font-size: 11px;
}

.settings input[type=text],
.settings input[type=number] {
    width: 42px;
    border: none;
    border-radius: 2px;
    padding: 1px 3px;
}

.settings input[type=checkbox] {
    margin: 0 2px 5px 0;
}
#synth-settings #pattern span input[type=checkbox]:nth-last-child(1) {
    margin-right: 0;
}

#btn-cnt {
    position: absolute;
    bottom: 13px;
    width: 100%;
    text-align: center;
}

#btn-cnt .button {
    width: 68px;
    height: 27px;
    margin-right: 5px;
    line-height: 27px;
    color: rgba(255, 255, 255, .85);
    font-weight: bold;
    border-radius: 5px;
    box-shadow: 0px 0px 0px 3px rgba(255, 255, 255, .85) inset;  /* border */
}

#btn-cnt .button:hover {
    background-color: rgba(255, 255, 255, .2);
    box-shadow: 
        0px 0px 0px 3px rgba(255, 255, 255, .85) inset,  /* border */
        0 0 8px 0 rgba(255, 255, 255, .5);
}

#btn-cnt .button:last-child { margin-right: 0; }

.settings dd ul li {
    font-size: 10px;
    font-weight: bold;
    display: inline-block;
    text-align: center;
    margin-right: 13px;
}

.settings dd ul li:last-child {
    margin-right: 0;
}
